<?php
declare(strict_types=1);

namespace Inti\Wp\Plugin\Service;

/**
 * Runs all installed plugins.
 *
 * @package Inti\Wp\Plugin\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-plugin
 */
final class PluginRunner
{
    private PluginManager $manager;
    private array $plugins;

    public function __construct(PluginManager $manager, array $plugins)
    {
        $this->manager = $manager;
        $this->plugins = $plugins;
    }

    public function run(): void
    {
        foreach ($this->plugins as $name) {
            $plugin = $this->manager->get($name);
            $plugin->run();
        }
    }
}
